Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot
Interface SnapshotPackage.Literals

Show UML class diagram

Enclosing interface:
  SnapshotPackage

    public static interface SnapshotPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `COMPOSITE_EVENT` The meta object literal for the '`Composite Event`' class.
`static org.eclipse.emf.ecore.EReference` | `COMPOSITE_EVENT__PARTS` The meta object literal for the 'Parts' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `DERIVATION` The meta object literal for the '`Derivation`' class.
`static org.eclipse.emf.ecore.EReference` | `DERIVATION__HANDLER` The meta object literal for the 'Handler' reference feature.
`static org.eclipse.emf.ecore.EReference` | `DERIVATION__INPUTS` The meta object literal for the 'Inputs' reference list feature.
`static org.eclipse.emf.ecore.EClass` | `EVENT` The meta object literal for the '`Event`' class.
`static org.eclipse.emf.ecore.EReference` | `EVENT__DERIVATIONS` The meta object literal for the 'Derivations' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `EVENT__DIRECT_POST` The meta object literal for the 'Direct Post' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `EVENT__PART_ROLE` The meta object literal for the 'Part Role' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `EXTRACTOR` The meta object literal for the '`Extractor`' class.
`static org.eclipse.emf.ecore.EAttribute` | `EXTRACTOR__COST` The meta object literal for the 'Cost' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `EXTRACTOR__PARAMETER_INDICES` The meta object literal for the 'Parameter Indices' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `EXTRACTOR__PARTS` The meta object literal for the 'Parts' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `EXTRACTOR__ROLE` The meta object literal for the 'Role' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `HANDLER` The meta object literal for the '`Handler`' class.
`static org.eclipse.emf.ecore.EReference` | `HANDLER__JOIN_NODE` The meta object literal for the 'Join Node' reference feature.
`static org.eclipse.emf.ecore.EClass` | `JOIN_ENTRY` The meta object literal for the '`Join Entry`' class.
`static org.eclipse.emf.ecore.EReference` | `JOIN_ENTRY__EVENTS` The meta object literal for the 'Events' reference list feature.
`static org.eclipse.emf.ecore.EClass` | `JOIN_INPUT` The meta object literal for the '`Join Input`' class.
`static org.eclipse.emf.ecore.EAttribute` | `JOIN_INPUT__INDEX` The meta object literal for the 'Index' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `JOIN_INPUT__JOIN_NODE` The meta object literal for the 'Join Node' reference feature.
`static org.eclipse.emf.ecore.EClass` | `JOIN_INPUT_COLLECTOR` The meta object literal for the '`Join Input Collector`' class.
`static org.eclipse.emf.ecore.EAttribute` | `JOIN_INPUT_COLLECTOR__INDICES` The meta object literal for the 'Indices' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `JOIN_INPUT_COLLECTOR__JOIN_ENTRIES` The meta object literal for the 'Join Entries' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `JOIN_NODE` The meta object literal for the '`Join Node`' class.
`static org.eclipse.emf.ecore.EReference` | `JOIN_NODE__COLLECTORS` The meta object literal for the 'Collectors' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `JOIN_NODE__HANDLER` The meta object literal for the 'Handler' reference feature.
`static org.eclipse.emf.ecore.EReference` | `JOIN_NODE__JOIN_INPUTS` The meta object literal for the 'Join Inputs' reference list feature.
`static org.eclipse.emf.ecore.EReference` | `JOIN_NODE__NEXT` The meta object literal for the 'Next' reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `JOIN_NODE__OUTPUT_INDICES` The meta object literal for the 'Output Indices' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `JOIN_NODE__PREDICATE` The meta object literal for the 'Predicate' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `JOIN_NODE__PREV` The meta object literal for the 'Prev' reference list feature.
`static org.eclipse.emf.ecore.EClass` | `PREDICATE` The meta object literal for the '`Predicate`' class.
`static org.eclipse.emf.ecore.EClass` | `PREDICATE_NODE` The meta object literal for the '`Predicate Node`' class.
`static org.eclipse.emf.ecore.EReference` | `PREDICATE_NODE__FALSE_CHILDREN` The meta object literal for the 'False Children' reference list feature.
`static org.eclipse.emf.ecore.EReference` | `PREDICATE_NODE__FALSE_OUTPUTS` The meta object literal for the 'False Outputs' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `PREDICATE_NODE__IS_ROOT` The meta object literal for the 'Is Root' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `PREDICATE_NODE__PREDICATE` The meta object literal for the 'Predicate' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `PREDICATE_NODE__TRUE_CHILDREN` The meta object literal for the 'True Children' reference list feature.
`static org.eclipse.emf.ecore.EReference` | `PREDICATE_NODE__TRUE_OUTPUTS` The meta object literal for the 'True Outputs' reference list feature.
`static org.eclipse.emf.ecore.EClass` | `PREDICATE_NODE_OUTPUT` The meta object literal for the '`Predicate Node Output`' class.
`static org.eclipse.emf.ecore.EClass` | `SNAPSHOT` The meta object literal for the '`Snapshot`' class.
`static org.eclipse.emf.ecore.EReference` | `SNAPSHOT__ELEMENTS` The meta object literal for the 'Elements' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `SNAPSHOT__JVM_ID` The meta object literal for the 'Jvm Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SNAPSHOT__TIMESTAMP` The meta object literal for the 'Timestamp' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `SNAPSHOT_ELEMENT` The meta object literal for the '`Element`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SNAPSHOT_ELEMENT__DETAILS` The meta object literal for the 'Details' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SNAPSHOT_ELEMENT__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SNAPSHOT_ELEMENT__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `SNAPSHOT_ELEMENT__SNAPSHOT` The meta object literal for the 'Snapshot' container reference feature.

Field Detail

### SNAPSHOT

    static final org.eclipse.emf.ecore.EClass SNAPSHOT

  The meta object literal for the '`Snapshot`' class.

  See Also:
    `SnapshotImpl`, `SnapshotPackageImpl.getSnapshot()`

### SNAPSHOT__TIMESTAMP

    static final org.eclipse.emf.ecore.EAttribute SNAPSHOT__TIMESTAMP

  The meta object literal for the 'Timestamp' attribute feature.

### SNAPSHOT__ELEMENTS

    static final org.eclipse.emf.ecore.EReference SNAPSHOT__ELEMENTS

  The meta object literal for the 'Elements' containment reference list feature.

### SNAPSHOT__JVM_ID

    static final org.eclipse.emf.ecore.EAttribute SNAPSHOT__JVM_ID

  The meta object literal for the 'Jvm Id' attribute feature.

### SNAPSHOT_ELEMENT

    static final org.eclipse.emf.ecore.EClass SNAPSHOT_ELEMENT

  The meta object literal for the '`Element`' class.

  See Also:
    `SnapshotElement`, `SnapshotPackageImpl.getSnapshotElement()`

### SNAPSHOT_ELEMENT__ID

    static final org.eclipse.emf.ecore.EAttribute SNAPSHOT_ELEMENT__ID

  The meta object literal for the 'Id' attribute feature.

### SNAPSHOT_ELEMENT__NAME

    static final org.eclipse.emf.ecore.EAttribute SNAPSHOT_ELEMENT__NAME

  The meta object literal for the 'Name' attribute feature.

### SNAPSHOT_ELEMENT__DETAILS

    static final org.eclipse.emf.ecore.EAttribute SNAPSHOT_ELEMENT__DETAILS

  The meta object literal for the 'Details' attribute feature.

### SNAPSHOT_ELEMENT__SNAPSHOT

    static final org.eclipse.emf.ecore.EReference SNAPSHOT_ELEMENT__SNAPSHOT

  The meta object literal for the 'Snapshot' container reference feature.

### HANDLER

    static final org.eclipse.emf.ecore.EClass HANDLER

  The meta object literal for the '`Handler`' class.

  See Also:
    `HandlerImpl`, `SnapshotPackageImpl.getHandler()`

### HANDLER__JOIN_NODE

    static final org.eclipse.emf.ecore.EReference HANDLER__JOIN_NODE

  The meta object literal for the 'Join Node' reference feature.

### DERIVATION

    static final org.eclipse.emf.ecore.EClass DERIVATION

  The meta object literal for the '`Derivation`' class.

  See Also:
    `DerivationImpl`, `SnapshotPackageImpl.getDerivation()`

### DERIVATION__HANDLER

    static final org.eclipse.emf.ecore.EReference DERIVATION__HANDLER

  The meta object literal for the 'Handler' reference feature.

### DERIVATION__INPUTS

    static final org.eclipse.emf.ecore.EReference DERIVATION__INPUTS

  The meta object literal for the 'Inputs' reference list feature.

### EVENT

    static final org.eclipse.emf.ecore.EClass EVENT

  The meta object literal for the '`Event`' class.

  See Also:
    `EventImpl`, `SnapshotPackageImpl.getEvent()`

### EVENT__DERIVATIONS

    static final org.eclipse.emf.ecore.EReference EVENT__DERIVATIONS

  The meta object literal for the 'Derivations' containment reference list feature.

### EVENT__PART_ROLE

    static final org.eclipse.emf.ecore.EAttribute EVENT__PART_ROLE

  The meta object literal for the 'Part Role' attribute feature.

### EVENT__DIRECT_POST

    static final org.eclipse.emf.ecore.EAttribute EVENT__DIRECT_POST

  The meta object literal for the 'Direct Post' attribute feature.

### PREDICATE_NODE

    static final org.eclipse.emf.ecore.EClass PREDICATE_NODE

  The meta object literal for the '`Predicate Node`' class.

  See Also:
    `PredicateNodeImpl`, `SnapshotPackageImpl.getPredicateNode()`

### PREDICATE_NODE__TRUE_OUTPUTS

    static final org.eclipse.emf.ecore.EReference PREDICATE_NODE__TRUE_OUTPUTS

  The meta object literal for the 'True Outputs' reference list feature.

### PREDICATE_NODE__FALSE_OUTPUTS

    static final org.eclipse.emf.ecore.EReference PREDICATE_NODE__FALSE_OUTPUTS

  The meta object literal for the 'False Outputs' reference list feature.

### PREDICATE_NODE__TRUE_CHILDREN

    static final org.eclipse.emf.ecore.EReference PREDICATE_NODE__TRUE_CHILDREN

  The meta object literal for the 'True Children' reference list feature.

### PREDICATE_NODE__FALSE_CHILDREN

    static final org.eclipse.emf.ecore.EReference PREDICATE_NODE__FALSE_CHILDREN

  The meta object literal for the 'False Children' reference list feature.

### PREDICATE_NODE__IS_ROOT

    static final org.eclipse.emf.ecore.EAttribute PREDICATE_NODE__IS_ROOT

  The meta object literal for the 'Is Root' attribute feature.

### PREDICATE_NODE__PREDICATE

    static final org.eclipse.emf.ecore.EReference PREDICATE_NODE__PREDICATE

  The meta object literal for the 'Predicate' containment reference feature.

### PREDICATE_NODE_OUTPUT

    static final org.eclipse.emf.ecore.EClass PREDICATE_NODE_OUTPUT

  The meta object literal for the '`Predicate Node Output`' class.

  See Also:
    `PredicateNodeOutput`, `SnapshotPackageImpl.getPredicateNodeOutput()`

### JOIN_INPUT

    static final org.eclipse.emf.ecore.EClass JOIN_INPUT

  The meta object literal for the '`Join Input`' class.

  See Also:
    `JoinInputImpl`, `SnapshotPackageImpl.getJoinInput()`

### JOIN_INPUT__INDEX

    static final org.eclipse.emf.ecore.EAttribute JOIN_INPUT__INDEX

  The meta object literal for the 'Index' attribute feature.

### JOIN_INPUT__JOIN_NODE

    static final org.eclipse.emf.ecore.EReference JOIN_INPUT__JOIN_NODE

  The meta object literal for the 'Join Node' reference feature.

### JOIN_NODE

    static final org.eclipse.emf.ecore.EClass JOIN_NODE

  The meta object literal for the '`Join Node`' class.

  See Also:
    `JoinNodeImpl`, `SnapshotPackageImpl.getJoinNode()`

### JOIN_NODE__COLLECTORS

    static final org.eclipse.emf.ecore.EReference JOIN_NODE__COLLECTORS

  The meta object literal for the 'Collectors' containment reference list feature.

### JOIN_NODE__OUTPUT_INDICES

    static final org.eclipse.emf.ecore.EAttribute JOIN_NODE__OUTPUT_INDICES

  The meta object literal for the 'Output Indices' attribute list feature.

### JOIN_NODE__HANDLER

    static final org.eclipse.emf.ecore.EReference JOIN_NODE__HANDLER

  The meta object literal for the 'Handler' reference feature.

### JOIN_NODE__NEXT

    static final org.eclipse.emf.ecore.EReference JOIN_NODE__NEXT

  The meta object literal for the 'Next' reference feature.

### JOIN_NODE__PREDICATE

    static final org.eclipse.emf.ecore.EReference JOIN_NODE__PREDICATE

  The meta object literal for the 'Predicate' containment reference feature.

### JOIN_NODE__PREV

    static final org.eclipse.emf.ecore.EReference JOIN_NODE__PREV

  The meta object literal for the 'Prev' reference list feature.

### JOIN_NODE__JOIN_INPUTS

    static final org.eclipse.emf.ecore.EReference JOIN_NODE__JOIN_INPUTS

  The meta object literal for the 'Join Inputs' reference list feature.

### JOIN_INPUT_COLLECTOR

    static final org.eclipse.emf.ecore.EClass JOIN_INPUT_COLLECTOR

  The meta object literal for the '`Join Input Collector`' class.

  See Also:
    `JoinInputCollectorImpl`, `SnapshotPackageImpl.getJoinInputCollector()`

### JOIN_INPUT_COLLECTOR__INDICES

    static final org.eclipse.emf.ecore.EAttribute JOIN_INPUT_COLLECTOR__INDICES

  The meta object literal for the 'Indices' attribute list feature.

### JOIN_INPUT_COLLECTOR__JOIN_ENTRIES

    static final org.eclipse.emf.ecore.EReference JOIN_INPUT_COLLECTOR__JOIN_ENTRIES

  The meta object literal for the 'Join Entries' containment reference list feature.

### JOIN_ENTRY

    static final org.eclipse.emf.ecore.EClass JOIN_ENTRY

  The meta object literal for the '`Join Entry`' class.

  See Also:
    `JoinEntryImpl`, `SnapshotPackageImpl.getJoinEntry()`

### JOIN_ENTRY__EVENTS

    static final org.eclipse.emf.ecore.EReference JOIN_ENTRY__EVENTS

  The meta object literal for the 'Events' reference list feature.

### EXTRACTOR

    static final org.eclipse.emf.ecore.EClass EXTRACTOR

  The meta object literal for the '`Extractor`' class.

  See Also:
    `ExtractorImpl`, `SnapshotPackageImpl.getExtractor()`

### EXTRACTOR__ROLE

    static final org.eclipse.emf.ecore.EAttribute EXTRACTOR__ROLE

  The meta object literal for the 'Role' attribute feature.

### EXTRACTOR__PARTS

    static final org.eclipse.emf.ecore.EReference EXTRACTOR__PARTS

  The meta object literal for the 'Parts' containment reference list feature.

### EXTRACTOR__PARAMETER_INDICES

    static final org.eclipse.emf.ecore.EAttribute EXTRACTOR__PARAMETER_INDICES

  The meta object literal for the 'Parameter Indices' attribute list feature.

### EXTRACTOR__COST

    static final org.eclipse.emf.ecore.EAttribute EXTRACTOR__COST

  The meta object literal for the 'Cost' attribute feature.

### PREDICATE

    static final org.eclipse.emf.ecore.EClass PREDICATE

  The meta object literal for the '`Predicate`' class.

  See Also:
    `PredicateImpl`, `SnapshotPackageImpl.getPredicate()`

### COMPOSITE_EVENT

    static final org.eclipse.emf.ecore.EClass COMPOSITE_EVENT

  The meta object literal for the '`Composite Event`' class.

  See Also:
    `CompositeEventImpl`, `SnapshotPackageImpl.getCompositeEvent()`

### COMPOSITE_EVENT__PARTS

    static final org.eclipse.emf.ecore.EReference COMPOSITE_EVENT__PARTS

  The meta object literal for the 'Parts' containment reference list feature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD